<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SourceFile/MacroCall.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.SourceFile.MacroCall</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../SourceFile.html" >SourceFile</a>
</div><div class="class-name">class MacroCall

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SourceFile.py.html" target="detail">../Synopsis/SourceFile.py</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SourceFile.MacroCall" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line27" ><img src="../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">A class to support mapping from positions in a preprocessed file
    back to positions in the original file.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <span class="name"><a href="MacroCall.html#name" >name</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The name of the macro being called.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="MacroCall.html#start" >start</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line35" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the start of the call.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="MacroCall.html#end" >end</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line37" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the end of the call.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="MacroCall.html#expanded_start" >expanded_start</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line39" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the start of the expansion in the preprocessed file.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="MacroCall.html#expanded_end" >expanded_end</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line41" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the end of the expansion in the preprocessed file.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">start</span>, <span class="variable">end</span>, <span class="variable">expanded_start</span>, <span class="variable">expanded_end</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SourceFile.MacroCall.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line31" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="name">name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The name of the macro being called.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="start">start</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line35" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the start of the call.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="end">end</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line37" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the end of the call.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="expanded_start">expanded_start</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line39" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the start of the expansion in the preprocessed file.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="expanded_end">expanded_end</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line41" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">&#40;line&#44; column&#41; pair indicating the end of the expansion in the preprocessed file.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
